%define release_tag 2024.06
%define release_stamp 16.gfd5ee2d

%define video_src http://pdist.elvees.com/mcom03/altlinux/demo/video

Name: mcom03-demo
Version: %release_tag
Release: %release_stamp.elv.alt1

Summary: Scythian Demo
Group: Development/Tools
License: BSD-2-Clause
Vendor: RnD Center "ELVEES", JSC
Source: %name-%release_stamp.tar.gz
BuildArch: noarch

BuildRequires: curl

Requires: firefox
Requires: mpv
Requires: wmctrl

%description

%prep
%setup -n %name

%build
curl -s -O "%video_src/Bullfinch-2797.mp4"
curl -s -O "%video_src/Squirrel-2717.mp4"

%install
mkdir -p %buildroot%_datadir/applications
install mcom03-demo.desktop %buildroot%_datadir/applications/

mkdir -p %buildroot%_bindir
install mcom03-demo.sh %buildroot%_bindir/

mkdir -p %buildroot%_sysconfdir/skel/XDG-Desktop.skel
install mcom03-demo.desktop %buildroot%_sysconfdir/skel/XDG-Desktop.skel/

mkdir -p %buildroot/opt/%name/video
install *.mp4 %buildroot/opt/%name/video/

%files
%_datadir/applications/mcom03-demo.desktop
%_bindir/mcom03-demo.sh
%_sysconfdir/skel/XDG-Desktop.skel/mcom03-demo.desktop
/opt/%name/video/*
